package com.engine.kq.enums;

/**
 * 时长计算类型 请假，出差，公出这些都有自己的规则，单独增加个时长计算类型
 */
public enum DurationTypeEnum {

  /**
   * 请假
   */
  LEAVE("LEAVE"),
  /**
   * 出差
   */
  EVECTION("EVECTION"),
  /**
   * 公出
   */
  OUT("OUT"),
  /**
   * 异常流程
   */
  OVERTIME("OVERTIME"),
  /**
   * 加班
   */
  OTHER("OTHER"),
  /**
   * 销假
   */
  LEAVEBACK("LEAVEBACK"),
  /**
   * 普通计算
   */
  COMMON_CAL("COMMON_CAL"),
  /**
   * 考勤变更
   */
  PROCESSCHANGE("PROCESSCHANGE");

  private String durationType;
  /**
   *
   * @param durationType 时长规则类型
   */
  DurationTypeEnum(String durationType) {
    this.durationType = durationType;
  }

  public String getDurationType() {
    return durationType;
  }

  public void setDurationType(String durationType) {
    this.durationType = durationType;
  }
}
